# Uses of Class
net.shibboleth.idp.installer.impl.InstallerPropertiesImpl

Packages that use InstallerPropertiesImpl
Package
Description
net.shibboleth.idp.installer.impl
Implementation classes for installation.

## Uses of InstallerPropertiesImpl in net.shibboleth.idp.installer.impl

Fields in net.shibboleth.idp.installer.impl declared as InstallerPropertiesImpl
Modifier and Type
Field
Description
`private final InstallerPropertiesImpl`
CopyDistribution.`installerProps`
Properties for the job.
`private final InstallerPropertiesImpl`
V5Install.`installerProps`
Installer Properties.
Constructors in net.shibboleth.idp.installer.impl with parameters of type InstallerPropertiesImpl
Modifier
Constructor
Description
``
`CopyDistribution(InstallerPropertiesImpl props)`
Constructor.
``
`CurrentInstallState(InstallerPropertiesImpl installerProps)`
Constructor.
``
`V5Install(InstallerPropertiesImpl props, CurrentInstallState installState, org.apache.hc.client5.http.classic.HttpClient client, HttpClientSecurityParameters securityParams)`
Constructor.